[pkg-fso-commits] [SCM] Various non-packaged files branch, master, updated. d55f309cd6a94e77b00d86621091b2ef842e333e

Joachim Breitner mail at joachim-breitner.de
Mon Jan 19 20:38:08 UTC 2009


The following commit has been merged in the master branch:
commit d55f309cd6a94e77b00d86621091b2ef842e333e
Author: Karl Goetz <karl at kgoetz.id.au>
Date:   Mon Jan 19 21:38:03 2009 +0100

    Fix bugs in partitioning code
    
    - Replace broken while() in partitioning section with an if+while
    - Insert space into the /boot/ unmount code

diff --git a/install.sh b/install.sh
index f419cd9..559cbd3 100755
--- a/install.sh
+++ b/install.sh
@@ -405,8 +405,12 @@ fi
 
 echo " * Waiting for partitions to appear"
 SLEEP_SECONDS=3
-while ! ([ "$SINGLE_PART" = "true" ] && test -e ${SD_DEVICE}p1) ||\
-	test -e ${SD_DEVICE}p1 -a -e ${SD_DEVICE}p2; do
+if [ "$SINGLE_PART" = "true" ]; then
+	DEVTEST="test -e ${SD_DEVICE}p1"
+else
+	DEVTEST="test -e ${SD_DEVICE}p1 -a -e ${SD_DEVICE}p2"
+fi
+while $DEVTEST ; do
 	if [ "$SLEEP_SECONDS" = 15 ]; then
 		echo "E: Partitioning has failed, partitions have not been created"
 		exit 1
@@ -796,7 +800,7 @@ unmount)
 # Stage unmount
 #
 echo "Unmounting microSD card partitions"
-if ![ "$SINGLE_PART" = "true" ]; then
+if ! [ "$SINGLE_PART" = "true" ]; then
 	umount $INST_DIR/boot
 fi
 umount $INST_DIR

-- 
Various non-packaged files



More information about the pkg-fso-commits mailing list